Subject: Re: linux-next: build warning after merge of the aspeed tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 22 May 2020 10:16:38 +1000

Hi all,

On Wed, 20 May 2020 07:56:36 +0000 Joel Stanley <[email-masked]> wrote:
>
> On Mon, 11 May 2020 at 15:19, Rob Herring <[email-masked]> wrote:
> >
> > On Fri, May 8, 2020 at 1:40 AM Joel Stanley <[email-masked]> wrote:  
> > >
> > > On Wed, 6 May 2020 at 23:13, Joel Stanley <[email-masked]> wrote:  
> > > >
> > > > Hi Rob,
> > > >
> > > > On Wed, 6 May 2020 at 23:10, Stephen Rothwell <[email-masked]> wrote:  
> > > > >
> > > > > After merging the aspeed tree, today's linux-next build (arm
> > > > > multi_v7_defconfig) produced this warning:  
> > > >
> > > > Thanks Stephen.
> > > >  
> > > > > arch/arm/boot/dts/aspeed-bmc-facebook-yosemitev2.dts:126.11-130.4: Warning (i2c_bus_reg): /ahb/apb/bus@1e78a000/i2c-bus@80/ipmb1@10: I2C bus unit address format error, expected "40000010"
> > > > > arch/arm/boot/dts/aspeed-bmc-facebook-yosemitev2.dts:128.3-30: Warning (i2c_bus_reg): /ahb/apb/bus@1e78a000/i2c-bus@80/ipmb1@10:reg: I2C address must be less than 10-bits, got "0x40000010"
> > > > > arch/arm/boot/dts/aspeed-bmc-facebook-yosemitev2.dts:137.11-141.4: Warning (i2c_bus_reg): /ahb/apb/bus@1e78a000/i2c-bus@100/ipmb3@10: I2C bus unit address format error, expected "40000010"
> > > > > arch/arm/boot/dts/aspeed-bmc-facebook-yosemitev2.dts:139.3-30: Warning (i2c_bus_reg): /ahb/apb/bus@1e78a000/i2c-bus@100/ipmb3@10:reg: I2C address must be less than 10-bits, got "0x40000010"
> > > > > arch/arm/boot/dts/aspeed-bmc-facebook-yosemitev2.dts:148.11-152.4: Warning (i2c_bus_reg): /ahb/apb/bus@1e78a000/i2c-bus@180/ipmb5@10: I2C bus unit address format error, expected "40000010"
> > > > > arch/arm/boot/dts/aspeed-bmc-facebook-yosemitev2.dts:150.3-30: Warning (i2c_bus_reg): /ahb/apb/bus@1e78a000/i2c-bus@180/ipmb5@10:reg: I2C address must be less than 10-bits, got "0x40000010"
> > > > > arch/arm/boot/dts/aspeed-bmc-facebook-yosemitev2.dts:159.11-163.4: Warning (i2c_bus_reg): /ahb/apb/bus@1e78a000/i2c-bus@300/ipmb7@10: I2C bus unit address format error, expected "40000010"
> > > > > arch/arm/boot/dts/aspeed-bmc-facebook-yosemitev2.dts:161.3-30: Warning (i2c_bus_reg): /ahb/apb/bus@1e78a000/i2c-bus@300/ipmb7@10:reg: I2C address must be less than 10-bits, got "0x40000010"  
> > > >
> > > > These are IPMB nodes with the SLAVE_ADDRESS bit set:
> > > >
> > > > +&i2c5 {
> > > > +       //Host3 IPMB bus
> > > > +       status = "okay";
> > > > +       multi-master;
> > > > +       ipmb5@10 {
> > > > +               compatible = "ipmb-dev";
> > > > +               reg = <(0x10 | I2C_OWN_SLAVE_ADDRESS)>;
> > > > +               i2c-protocol;
> > > > +       };
> > > >
> > > > This is a correct entry, so dtc should not warn about it.  
> > >
> > > I sent a patch for dtc here:
> > > https://lore.kernel.org/lkml/[email-masked]/  
> >
> > Patches for dtc need to be against upstream dtc. There's already a
> > similar patch posted for it which I commented on and never saw a
> > respin.  
> 
> Can I suggest some instructions in scsripts/dtc explaining that you
> don't take patches in the kernel tree for this code?
> 
> I've sent the patch so it applies to the dtc tree. It would be good to
> see that change propagate over to -next as others have reported this
> warning.

These warnings now appear in the arm-soc tree.

-- 
Cheers,
Stephen Rothwell